Bug 702 - compat.h: This header is obsolete, use ap_compat.h instead
compat.h: This header is obsolete, use ap_compat.h instead
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.0
All Linux
: P3 normal
: none
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-31 05:32 UTC by Lordy
Modified: 2005-11-14 09:26 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lordy 2003-10-31 05:32:58 UTC
While incuding compat.h gcc generates warnings:

---

Compiling libsmb/clirap2.c
In file included from include/includes.h:337,
                 from libsmb/clirap2.c:81:
/usr/include/compat.h:6:2: Warnung: #warning "This header is obsolete, use 
ap_compat.h instead"
Compiling libsmb/passchange.c
In file included from include/includes.h:337,
                 from libsmb/passchange.c:21:
/usr/include/compat.h:6:2: Warnung: #warning "This header is obsolete, use 
ap_compat.h instead"
Compiling libsmb/doserr.c
In file included from include/includes.h:337,
                 from libsmb/doserr.c:23:
/usr/include/compat.h:6:2: Warnung: #warning "This header is obsolete, use 
ap_compat.h instead"

---

It seems that compat.h is a backward compatibility file from Apache.

Apache 1.3.x and Apache 2.0.x provide ap_compat.h which should be used as
vanilla Apache 2.0.x does not include compat.h any more and compilation might 
fail.

This has been observed on a RedHat 7.2 system with:

gcc-Version 3.3.2
GNU ld version 2.14 20030612
Server version: Apache/2.0.48
Server built:   Oct 29 2003 15:09:16

while building Samba 3.0.0 from http://de.samba.org/samba/ftp/samba-3.0.0.tar.
bz2

Best regards,
Lordy
Comment 1 Tim Potter 2003-11-01 20:24:34 UTC
I don't think this header file is actually used!  The resolution is probably
going to be remove references to compat.h from configure.in and includes.h
Comment 2 Tim Potter 2003-11-04 11:56:27 UTC
Jerry removed the reference to this file.  None of the buildfarm machines seem
to have complained so I'm marking this as fixed.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:22:51 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:26:51 UTC
database cleanup